Subject: FVWM: Undelivered Mail Returned to Sender

From: [email-masked] (Mail Delivery System)
Date: Mon, 18 Mar 2002 09:58:12 +0000 (/etc/localtime)

This is the Postfix on SuSE Linux 7.0 (i386) program at host lifelux.lifebits.local.

I'm sorry to have to inform you that the message returned
below could not be delivered to one or more destinations.

For further assistance, please send mail to <postmaster>

If you do so, please include this problem report. You can
delete your own text from the message returned below.

			The Postfix on SuSE Linux 7.0 (i386) program

<[email-masked]>: unknown user: "mfvwm"

Subject: Re: FVWM: opaque/rubber moving compared to mwm
From: Dominik Vogt <[email-masked]>
To: John Smith <[email-masked]>, [email-masked]
Date: Mon, 18 Mar 2002 10:58:09 +0100

On Sun, Mar 17, 2002 at 03:02:05PM -0800, John Smith wrote:
> On Sun, Mar 17, 2002 at 07:02:43PM +0100, Dominik Vogt wrote:
> > On Sun, Mar 17, 2002 at 02:38:05AM -0800, John Smith wrote:
> > > Okay, so now that I'm using 2.4.6, I definitely see opaque/rubber band window
> > > moving faster than the previous release.  As a user with a cluttered desktop,
> > > sometimes opaque window moving slows down quite a bit (but still a lot better
> > > than other WMs I must say).  However, the fastest opaque moving I have seen
> > > >from any window manager is by far in mwm.
> > 
> > In general, mwm will probably always be faster because it has
> > almost no features.  Consider what fvwm does when moving a window:
> > 
> >  - Move the window
> >  - Handle keyboard events.
> >  - Handle lots of funny modifier key combinations.
> >  - Use the SnapGrid
> >  - Uses SnapAttraction
> >  - Uses EdgeResistance
> >  - Handles paging
> > 
> > Some of this requires communication with the X server which is the
> > main time consuming factor (even on a local machine).  On the
> > other hand, as far as I know, mwm does this:
> > 
> >  - Move the window
> > 
> > That's not an excuse, but it partially explains things.
> > 
> > > I took a bit of time and wanted to try opaque window moving, and I was
> > > surprised.  I had like 30 different applications open on one screen (like
> > > xdaliclock, xclock, xbiff, xterm, xmessage etc), and moving windows with lots
> > > of graphics over top of all these other programs showed no signs of slowing
> > > down the movement.  The same testing done on fvwm2 showed noticeable slow
> > > down.
> > 
> > Fvwm does extensive redrawing of the window frames (unless you
> > enable the SaveUnder style that is).  This is exactly what I'm
> > working at right now.  When I'm done, opaque motion will be
> > lightning fast (at least as far as fvwm is concerned - I can't do
> > anything about applications that redraw a lot).
> > 
> 
> Ok, I understand that.  Applications do their own redrawing.  But are you
> saying that redrawing the window borders is the *ONLY* bottleneck that fvwm
> has with opaque window moving?

At least it's the current bottleneck.  Further improvements can be
made by disabling the features listed above, e.g.

  SnapGrid 0 0
  SnapAttraction Off
  EdgeResistance 10000 10000

(I'm not sure the syntax is right).

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20